
locals {
  additional_capabilities = var.additional_capabilities
  admin_password = var.admin_password
  admin_ssh_keys = var.admin_ssh_keys
  automatic_instance_repair = var.automatic_instance_repair
  boot_diagnostics = var.boot_diagnostics
  capacity_reservation_group_id = var.capacity_reservation_group_id
  data_disk = var.data_disk
  enable_telemetry = var.enable_telemetry
  encryption_at_host_enabled = var.encryption_at_host_enabled
  eviction_policy = var.eviction_policy
  extension = var.extension
  extension_operations_enabled = var.extension_operations_enabled
  extension_protected_setting = var.extension_protected_setting
  extensions_time_budget = var.extensions_time_budget
  identity = var.identity
  instances = var.instances
  license_type = var.license_type
  location = var.location
  lock = var.lock
  max_bid_price = var.max_bid_price
  name = var.name
  network_interface = var.network_interface
  os_disk = var.os_disk
  os_profile = var.os_profile
  plan = var.plan
  platform_fault_domain_count = var.platform_fault_domain_count
  priority = var.priority
  priority_mix = var.priority_mix
  proximity_placement_group_id = var.proximity_placement_group_id
  resource_group_name = var.resource_group_name
  role_assignments = var.role_assignments
  single_placement_group = var.single_placement_group
  sku_name = var.sku_name
  source_image_id = var.source_image_id
  source_image_reference = var.source_image_reference
  tags = var.tags
  termination_notification = var.termination_notification
  timeouts = var.timeouts
  user_data_base64 = var.user_data_base64
  zone_balance = var.zone_balance
  zones = var.zones
}
